org.appng.openapi.invoke

## Class JavaTimeFormatter

- java.lang.Object
- - org.appng.openapi.invoke.JavaTimeFormatter

- Direct Known Subclasses:
    ApiClient

      @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class JavaTimeFormatter
      extends Object

  Class that add parsing/formatting support for Java 8+ `OffsetDateTime` class. It's generated for java clients when `AbstractJavaCodegen#dateLibrary` specified as `java8`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaTimeFormatter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `formatOffsetDateTime(OffsetDateTime offsetDateTime)` Format the given `OffsetDateTime` object into string.
    `DateTimeFormatter` | `getOffsetDateTimeFormatter()` Get the date format used to parse/format `OffsetDateTime` parameters.
    `OffsetDateTime` | `parseOffsetDateTime(String str)` Parse the given string into `OffsetDateTime` object.
    `void` | `setOffsetDateTimeFormatter(DateTimeFormatter offsetDateTimeFormatter)` Set the date format used to parse/format `OffsetDateTime` parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaTimeFormatter

          public JavaTimeFormatter()

  - ### Method Detail

    - #### getOffsetDateTimeFormatter

          public DateTimeFormatter getOffsetDateTimeFormatter()

      Get the date format used to parse/format `OffsetDateTime` parameters.
      Returns:
        DateTimeFormatter

    - #### setOffsetDateTimeFormatter

          public void setOffsetDateTimeFormatter(DateTimeFormatter offsetDateTimeFormatter)

      Set the date format used to parse/format `OffsetDateTime` parameters.
      Parameters:
        `offsetDateTimeFormatter` - `DateTimeFormatter`

    - #### parseOffsetDateTime

          public OffsetDateTime parseOffsetDateTime(String str)

      Parse the given string into `OffsetDateTime` object.
      Parameters:
        `str` - String
      Returns:
        `OffsetDateTime`

    - #### formatOffsetDateTime

          public String formatOffsetDateTime(OffsetDateTime offsetDateTime)

      Format the given `OffsetDateTime` object into string.
      Parameters:
        `offsetDateTime` - `OffsetDateTime`
      Returns:
        `OffsetDateTime` in string format

Copyright © 2011–2023 aiticon GmbH. All rights reserved.